module Opera
  module MobileStoreSDK
    module FaradayMiddleware
      # Adds the required response format to the request parameters, in order for
      # the SDK to work:
      class RequiredResponseFormat < Faraday::Middleware
        def call(env)
          env.url.query = ["format=xml", env.url.query].join('&')
          @app.call(env)
        end
      end
    end
  end
end
